# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Temp.pm) perl(LWP/Simple.pm) perl(Module/Build/Tiny.pm) perl(PerlX/QuoteOperator.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(URI/file.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name PerlX-QuoteOperator-URL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Quote-like operator returning http request for the URL provided.
Group: Development/Perl
License: perl
URL: https://github.com/draegtun/PerlX-QuoteOperator-URL

Source0: http://cpan.org.ua/authors/id/D/DR/DRAEGTUN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides a Quote-like operator which returns a HTTP request using the  LWP::Simple module.

Please see the PerlX::QuoteOperator manpage for more detail on Quote-like operators.

For now here is another example:

    use PerlX::QuoteOperator::URL 'qh';
    use JSON qw(decode_json);

    say decode_json( qh{ http://twitter.com/statuses/show/6592721580.json } )->{text};

    # => "He nose the truth."
    


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

